using UnityEngine;
using System.Collections;


namespace Gui{
	public class AbilityButton : UnityEngine.UI.Button, MonoBehaviour, Databind.Slave {

		public int spellID;

		void Start(){
			onClick.AddListener(()=>{
				Debug.Log("Clicked");
			});

			SetSpellID(spellID);
		}

		void SetSpellID(int _spellID){
			//Set image, callback

			string sIcon = Rdb.GetTable("spells").GetValue<string>(_spellID, "icon");
		}

	}
}

